cURL
curl --request PUT \ --url https://api.pcxpay.com/v1/payments/org-configs/{org_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "org_id": "<string>", "preferred_payment_method": "bank_transfer", "crypto_disabled": true, "fiat_disabled": true, "regulatory_restrict_crypto_payments": true, "crypto_restricted_countries": [ "<string>" ], "required_kyc_level_for_crypto": "<string>", "crypto_min_amount": 123, "crypto_max_amount": 123, "supported_crypto_currencies": [ "<string>" ], "supported_fiat_currencies": [ "<string>" ], "description": "<string>", "is_active": true } '
{ "org_id": "<string>", "preferred_payment_method": "bank_transfer", "crypto_disabled": true, "fiat_disabled": true, "regulatory_restrict_crypto_payments": true, "crypto_restricted_countries": [ "<string>" ], "required_kyc_level_for_crypto": "<string>", "crypto_min_amount": 123, "crypto_max_amount": 123, "supported_crypto_currencies": [ "<string>" ], "supported_fiat_currencies": [ "<string>" ], "description": "<string>", "is_active": true, "config_version": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
bank_transfer
card
mobile_money
crypto
wallet
Updated config